CVE-2007-2525

MEDIUM

Description

Memory leak in the PPP over Ethernet (PPPoE) socket implementation in the Linux kernel before 2.6.21-git8 allows local users to cause a denial of service (memory consumption) by creating a socket using connect, and releasing it before the PPPIOCGCHAN ioctl is initialized.

References

http://kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.21-git8.log

http://rhn.redhat.com/errata/RHSA-2007-0488.html

http://secunia.com/advisories/25163

http://secunia.com/advisories/25700

http://secunia.com/advisories/25838

http://secunia.com/advisories/26133

http://secunia.com/advisories/26139

http://secunia.com/advisories/26289

http://secunia.com/advisories/26450

http://secunia.com/advisories/26620

http://secunia.com/advisories/26664

http://secunia.com/advisories/27227

http://secunia.com/advisories/29058

http://support.avaya.com/elmodocs2/security/ASA-2007-287.htm

http://www.debian.org/security/2007/dsa-1356

http://www.debian.org/security/2008/dsa-1503

http://www.debian.org/security/2008/dsa-1504

http://www.mandriva.com/security/advisories?name=MDKSA-2007:171

http://www.mandriva.com/security/advisories?name=MDKSA-2007:196

http://www.mandriva.com/security/advisories?name=MDKSA-2007:216

http://www.novell.com/linux/security/advisories/2007_51_kernel.html

http://www.novell.com/linux/security/advisories/2007_53_kernel.html

http://www.securityfocus.com/bid/23870

http://www.ubuntu.com/usn/usn-486-1

http://www.ubuntu.com/usn/usn-489-1

http://www.ubuntu.com/usn/usn-510-1

http://www.vupen.com/english/advisories/2007/1703

https://exchange.xforce.ibmcloud.com/vulnerabilities/34150

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10594

https://rhn.redhat.com/errata/RHSA-2007-0376.html

Details

Source: MITRE

Published: 2007-05-08

Updated: 2017-10-11

Risk Information

CVSS v2.0

Base Score: 4.9

Vector: AV:L/AC:L/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 3.9

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:git7:*:*:*:*:*:* versions up to 2.6.21 (inclusive)

Tenable Plugins

View all (20 total)

IDNameProductFamilySeverity
67520Oracle Linux 4 : kernel (ELSA-2007-0488)NessusOracle Linux Local Security Checks
medium
67502Oracle Linux 5 : kernel (ELSA-2007-0376)NessusOracle Linux Local Security Checks
medium
60215Scientific Linux Security Update : kernel on SL4.x i386/x86_64NessusScientific Linux Local Security Checks
medium
60209Scientific Linux Security Update : kernel on SL5.x i386/x86_64NessusScientific Linux Local Security Checks
medium
59123SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 4186)NessusSuSE Local Security Checks
high
43642CentOS 5 : kernel (CESA-2007:0376)NessusCentOS Local Security Checks
medium
31148Debian DSA-1504-1 : kernel-source-2.6.8 - several vulnerabilitiesNessusDebian Local Security Checks
high
31147Debian DSA-1503-1 : kernel-source-2.4.27 - several vulnerabilitiesNessusDebian Local Security Checks
high
29487SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 4185)NessusSuSE Local Security Checks
high
28114Ubuntu 7.04 : linux-source-2.6.20 vulnerabilities (USN-510-1)NessusUbuntu Local Security Checks
high
28090Ubuntu 6.06 LTS : linux-source-2.6.15 vulnerability (USN-489-1)NessusUbuntu Local Security Checks
high
28087Ubuntu 6.10 : linux-source-2.6.17 vulnerabilities (USN-486-1)NessusUbuntu Local Security Checks
high
27298openSUSE 10 Security Update : kernel (kernel-4487)NessusSuSE Local Security Checks
high
27296SuSE Security Update: Kernel Update for SUSE Linux 10.1 (kernel-4193)NessusSuSE Local Security Checks
high
25968Mandrake Linux Security Advisory : kernel (MDKSA-2007:171)NessusMandriva Local Security Checks
high
25909Debian DSA-1356-1 : linux-2.6 - several vulnerabilitiesNessusDebian Local Security Checks
high
25605RHEL 4 : kernel (RHSA-2007:0488)NessusRed Hat Local Security Checks
medium
25575CentOS 4 : kernel (CESA-2007:0488)NessusCentOS Local Security Checks
medium
25538RHEL 5 : kernel (RHSA-2007:0376)NessusRed Hat Local Security Checks
medium
801431CentOS RHSA-2007-0488 Security CheckLog Correlation EngineGeneric
high